package voicebot;

/**
 * Quick Command Impls
 */
public class VoiceBotCommands {

	// Used by Commands, and Info
	private static final String BULLET = " • ";

	public static class Commands extends AbstractVoiceBotCommand {

		public Commands() {
			super("", "Display a list of special commands I support", //
					"v", "verbose: also lists the description for each command");
		}

		@Override
		public void runf(VoiceBot bot, String flags, String channel, String sender, String target, String text) {

			if (flags.contains("v")) {
				for (AbstractVoiceBotCommand command : bot.commands()) {

					VoiceBotResponses response = (command.isAdminOnly() ? VoiceBotResponses.COMMAND_INFO_ADMIN
							: VoiceBotResponses.COMMAND_INFO);

					bot.sendNotice(target, response, command.name(), command.info());
				}
			}
			else {
				StringBuilder commands = new StringBuilder();

				for (AbstractVoiceBotCommand command : bot.commands()) {

					commands.append(command.name());
					commands.append(BULLET);
				}

				bot.sendNotice(target, commands.toString().replaceAll(BULLET + "$", ""));
			}
		}
	}

	public static class Voice extends AbstractVoiceBotCommand {

		public Voice() {
			super("<nick>", "Give voice to the target username");
			setAdminOnly();
		}

		@Override
		public void runf(VoiceBot bot, String flags, String channel, String sender, String target, String text) {
			bot.voice(channel, text);
		}
	}

}
